Affected QGIS version:3.6.0 Regression?: No

Operating System: macOS Mojave Version 10.14.3 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 29228

Description

The processing toolbox is not available. I followed the instructions in the README and added the path of the GDAL framework, but this

doesn't help. It seems like, that the osgeo package for python is missing. Using pip3 to install gdal failed with error code 1.

This is the error message I get when launching QGIS 3.6:

Could not load 'processing' extension.

ModuleNotFoundError: No module named 'osgeo' 

Traceback (most recent call last):

  File "/Applications/QGIS3.6.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 309, in loadPlugin

import(packageName)

  File "/Applications/QGIS3.6.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/Applications/QGIS3.6.app/Contents/MacOS/../Resources/python/plugins/processing/_init__.py", line 28, in 

    from processing.tools.dataobjects import *          # NOQA

  File "/Applications/QGIS3.6.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/Applications/QGIS3.6.app/Contents/MacOS/../Resources/python/plugins/processing/tools/dataobjects.py", line 51, in 

    from processing.algs.gdal.GdalUtils import GdalUtils

  File "/Applications/QGIS3.6.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/Applications/QGIS3.6.app/Contents/MacOS/../Resources/python/plugins/processing/algs/gdal/GdalUtils.py", line 38, in 

    from osgeo import ogr

  File "/Applications/QGIS3.6.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

ModuleNotFoundError: No module named 'osgeo'

Python-Version: 3.6.8 (v3.6.8:3c6b436a57, Dec 24 2018, 02:04:31) [GCC 4.2.1 Compatible Apple LLVM 6.0 (clang-600.0.57)] 

QGIS-Version: 3.6.0-Noosa Noosa, exported

History

#1 - 2019-03-03 09:33 AM - Saber Razmjooei

Have you tried this installer:

https://lutraconsulting.github.io/qgis-mac-packager/

#2 - 2019-03-03 09:33 AM - Saber Razmjooei
https://lutraconsulting.github.io/qgis-mac-packager/


- Status changed from Open to Feedback

#3 - 2019-03-04 12:08 PM - Robin Schwemmle

Thanks for providing the link. Using this DMG file the processing toolbox is now working.

#4 - 2019-03-04 12:58 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
